Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.data.source
Interface SQLCursorManager

All Known Implementing Classes:
  ExpressSQLCursorManager

public interface SQLCursorManager

An interface for an object that gets the SQL statement that the Oracle OLAP SQL Generator generates for a `Source` that specifies a query. Before you create an instance of an implementation of `SQLCursorManager`, you must prepare and commit the current `Transaction` with the methods of the `TransactionProvider` you are using. You create an instance of a `SQLCursorManager` with the `createSQLCursorManager` or `createSQLCursorManagers` methods of a `DataProvider`.

See Also:
  `TransactionProvider`

Method Summary
`void` | `close()` Closes the `SQLCursorManager` and releases the resources associated with it.
`java.lang.String` | `generateSQL()` Gets a `String` that contains the SQL statement that Oracle OLAP generates for the `Source` for this `SQLCursorManager`.
`void` | `generateSQL(java.lang.StringBuffer buffer)` Gets the SQL statement that Oracle OLAP generates for the `Source` for this `SQLCursorManager` and appends it to the specified `StringBuffer`.
`boolean` | `isOpen()` Indicates whether this `SQLCursorManager` is open.

Method Detail

### isOpen

    public boolean isOpen()

  Indicates whether this `SQLCursorManager` is open.
  Returns:
    `true` if the `SQLCursorManager` is open and `false` if it is closed.

### close

    public void close()

  Closes the `SQLCursorManager` and releases the resources associated with it.

### generateSQL

    public java.lang.String generateSQL()

  Gets a `String` that contains the SQL statement that Oracle OLAP generates for the `Source` for this `SQLCursorManager`.
  Returns:
    A `String` that contains the SQL statement that Oracle OLAP generates for the `Source` for this `SQLCursorManager`.

### generateSQL

    public void generateSQL(java.lang.StringBuffer buffer)

  Gets the SQL statement that Oracle OLAP generates for the `Source` for this `SQLCursorManager` and appends it to the specified `StringBuffer`.
  Parameters:
    `buffer` - A `StringBuffer` that contains the SQL statement that Oracle OLAP generates for the `Source` for this `SQLCursorManager`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.